Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Documents Estimated time: 0.00 hour

Target version: 4.1.7   

Resolution: Fixed Affected version:  

Description

Hello,

I'm using Redmine every day at work to manage bugs or wiki.

and now,I want to write something into the document,but pasting screenshots from clipb not work into documents

Do you know if there is a solution about it

Associated revisions

Revision 21465 - 2022-03-19 09:07 - Marius BĂLTEANU

Reindent code in documents/_form view (#36686).

Revision 21466 - 2022-03-19 09:08 - Marius BĂLTEANU

Fix file drop feature not working in documents#new (#36686).

Revision 21474 - 2022-03-20 08:57 - Marius BĂLTEANU

Merged r21465 and r21466 to 4.2-stable (#36686).

Revision 21475 - 2022-03-20 09:08 - Marius BĂLTEANU

Merged r21465 and r21466 to 4.1-stable (#36686).

History

#1 - 2022-02-24 21:51 - Marius BĂLTEANU

- Status changed from New to Needs feedback

Which version of Redmine do you use and what means a document? Can you provide more details?

#2 - 2022-02-25 07:28 - tt677666 tt677666

Marius BALTEANU wrote:

Which version of Redmine do you use and what means a document? Can you provide more details?

 
Environment:

  Redmine version                4.2.3.stable

  Ruby version                   2.6.6-p146 (2020-03-31) [x86_64-linux-gnu]

  Rails version                  5.2.6

  Environment                    production

  Database adapter               PostgreSQL

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Subversion                     1.13.0

  Mercurial                      5.3.1

  Cvs                            1.12.13

  Bazaar                         3.0.2

  Git                            2.33.1

  Filesystem                     

Redmine plugins:

  no plugin installed
#3 - 2022-02-25 08:59 - Marius BĂLTEANU

Please see my comment from How copy/paste an image in a message:

In the latest Redmine versions you can :

- drag images onto the droppable zone in order to be uploaded

- drag images onto the text area in order to be uploaded and embedded

In version 4.1.0 you can copy paste your image into text area in order to be uploaded and embedded

You can see #31169 and the related issues.

 If still doesn't work, we need the steps to reproduce the issue.

#4 - 2022-02-25 18:12 - tt677666 tt677666

- File reproduce.gif added

Marius BALTEANU wrote:

Please see my comment from How copy/paste an image in a message:

In the latest Redmine versions you can :

- drag images onto the droppable zone in order to be uploaded

- drag images onto the text area in order to be uploaded and embedded

In version 4.1.0 you can copy paste your image into text area in order to be uploaded and embedded

You can see #31169 and the related issues.

 If still doesn't work, we need the steps to reproduce the issue.

 I recorded my operation for reproduce  as a GIF

first step: copy a image use ctrl+c

second step: press ctrl+v onto the text area of wiki ，it's  works

third step: press ctrl+v onto the text area of issues，it's  works

fourth step: press ctrl+v onto the text area of documents, it doesn't work. i try drag images onto the text area of documents, it's still

doesn't work

#5 - 2022-02-27 13:49 - Marius BĂLTEANU

- Tracker changed from Feature to Defect

- Status changed from Needs feedback to Confirmed

- Assignee set to Marius BĂLTEANU

- Target version set to Candidate for next major release

I was able to reproduce the issue in Documents module, thanks for reporting this.

#6 - 2022-03-19 09:01 - Marius BĂLTEANU

- Target version changed from Candidate for next major release to 5.0.0

#7 - 2022-03-19 09:08 - Marius BĂLTEANU

- Status changed from Confirmed to Resolved

- Resolution set to Fixed

Fix committed, thanks!

#8 - 2022-03-19 12:43 - Marius BĂLTEANU

- Assignee changed from Marius BĂLTEANU to Go MAEDA

Go Maeda, should we backport this fix to the minor versions as well?

#9 - 2022-03-20 07:28 - Go MAEDA

- Assignee changed from Go MAEDA to Marius BĂLTEANU
Marius BALTEANU wrote:

Go Maeda, should we backport this fix to the minor versions as well?

 I think it would be better to backport the fix because the should-be available feature is not available and the change is quite small.

#10 - 2022-03-20 07:28 - Go MAEDA

- Subject changed from Allow pasting screenshots from clipb in documents to Allow pasting screenshots from clipboard in documents

#11 - 2022-03-20 09:09 - Marius BĂLTEANU

- Status changed from Resolved to Closed

Go MAEDA wrote:

I think it would be better to backport the fix because the should-be available feature is not available and the change is quite small.

 Thanks, I've backported the fixes to 4.2 and 4.1.

#12 - 2022-03-21 08:02 - Go MAEDA

- Target version changed from 5.0.0 to 4.1.7

#13 - 2022-03-31 05:36 - Lei Liu

I found the same issue with Ctrl + V doesn't work. which Redmine version I can download and install with this issue fixed?

Thanks!

Also email can't be draged into the issue anymore with the same build.

Environment:

Redmine version                4.2.3.stable

Ruby version                   2.6.8-p205 (2021-07-07) [x64-mingw32]

Rails version                  5.2.6

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

SCM:

Git                            2.34.0

Filesystem

Redmine plugins:

redmine_agile                  1.6.2

#14 - 2022-03-31 06:00 - Lei Liu

Ctrl + V works in Chrome. Not Edge.

Whether it is browser related.

#15 - 2022-12-13 11:38 - Dimitar (RedmineUP)

Hi Lei,

This is Dimitar from the RedmineUP Support Team.

I see that you have some of our plugins on your list:

 redmine_agile 1.6.2

 So, could you please contact our support team at support@redmineup.com? And our support engineers will help you investigate the

situation.

We look forward to hearing from you.

Best Regards,

Dimitar from the RedmineUP Support Team

Lei Liu wrote:

I found the same issue with Ctrl + V doesn't work. which Redmine version I can download and install with this issue fixed?

Thanks!
Also email can't be draged into the issue anymore with the same build.

Environment:

Redmine version                4.2.3.stable

Ruby version                   2.6.8-p205 (2021-07-07) [x64-mingw32]

Rails version                  5.2.6

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

SCM:

Git                            2.34.0

Filesystem

Redmine plugins:

redmine_agile                  1.6.2

Files

reproduce.gif 523 KB 2022-02-25 tt677666 tt677666

Powered by TCPDF (www.tcpdf.org)

2025-07-13 4/4

http://www.tcpdf.org

